package ru.dbotthepony.kstarbound.defs.actor

import ru.dbotthepony.kstarbound.math.vector.Vector2d

data class GlobalNPCConfig(
	val hitDamageNotificationLimit: Int,
	val emoteCooldown: Double,
	val danceCooldown: Double,
	val shieldHitSoundLimit: Double,
	val blinkInterval: Vector2d,
) {
	init {
		require(hitDamageNotificationLimit >= 1) { "Pointless hitDamageNotificationLimit: $hitDamageNotificationLimit" }
	}
}