package ru.dbotthepony.kstarbound.world.entities.api

import ru.dbotthepony.kstarbound.world.entities.ActorEntity
import ru.dbotthepony.kstarbound.world.entities.IAnchorState

interface LoungeableEntity {
	val anchors: List<IAnchorState>

	/**
	 * Determines entities currently lounging in this entity
	 */
	fun entitiesLoungingIn(): List<ActorEntity>

	/**
	 * Determines entities currently lounging at specified anchor index
	 */
	fun entitiesLoungingIn(index: Int): List<ActorEntity>
}
