package ru.dbotthepony.kstarbound.test

import com.kenai.jffi.MemoryIO
import org.junit.jupiter.api.Test
import ru.dbotthepony.kstarbound.lua.LuaHandle
import ru.dbotthepony.kstarbound.lua.LuaThread
import ru.dbotthepony.kstarbound.math.vector.Vector2d
import java.io.File

object LuaTests {
	@Test
	fun test() {
		val lua = LuaThread()

		lua.ensureExtraCapacity(1000)

		lua.loadGlobal("collectgarbage")
		lua.push("count")
		lua.call(1, 1)
		println(lua.popDouble()!! * 1024)

		lua.close()
	}
}
